Bug 222175 - Review Request: six - Hex playing program
Review Request: six - Hex playing program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-10 14:00 EST by Rafał Psota
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 10:45:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rafał Psota 2007-01-10 14:00:47 EST
Spec URL: http://rafalzaq.nonlogic.org/fedora/six/six.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/six/six-0.5.3-1.fc6.src.rpm
Description: Six is a Hex  playing program for Linux/Un*x systems running KDE. It has a
strong AI, an easy to use GUI and can import emails from Richard's PBEM server.
Comment 1 Michał Bentkowski 2007-01-10 14:12:39 EST
I'll take it.
Comment 2 Michał Bentkowski 2007-01-10 14:44:03 EST
It looks like there's some missing scriptlets. You ought to read
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets to know most of
them.
Firstly, your package installs icons into %{_datadir}/icons/{hicolor,locolor}.
It means that you have to add following lines to your spec file:
%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --ignore-theme-index --quiet %{_datadir}/icons/
hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --ignore-theme-index --quiet %{_datadir}/icons/
hicolor || :

Also, there's a "MimeType=" entry so you need to add:
%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :

And the normal review process:
 * sources match upstream (457028e8040f030b8f2cd6a65d04bab9)
 * rpmlint is silent
 * dist tag present
 * build root correct
 * license field matches the actual license and is included in %doc
 * BuildRequires looks good as package builds in mock (fc6/x86_64)
 * provides and requires are sane
 * no shared libraries
 * not relocatable
 * it owns all directories well

Package contains check procedure, so you can create %check section with `make
check` inside it.

Thus, THINGS you need to do are:
 - add missing %post and %postun sections
 - add %check section
Comment 3 Michał Bentkowski 2007-01-10 14:53:47 EST
Also, I can call ArcadeGame category into question. In my opinion it is rather
only a BoardGame.
Comment 4 Michael Schwendt 2007-01-10 16:55:43 EST
> Also, there's a "MimeType=" entry so you need to add:
> %post
> update-mime-database %{_datadir}/mime &> /dev/null || :

No. update-desktop-database must be run.

update-mime-database, on the contrary, is only for the new
XML MIME type definition files.
Comment 5 Michał Bentkowski 2007-01-10 17:03:01 EST
(In reply to comment #4)
> No. update-desktop-database must be run.

Right. I have accidentally pasted a wrong script there...

Comment 6 Rafał Psota 2007-01-12 15:49:50 EST
New SRPM and spec.

Spec URL: http://rafalzaq.nonlogic.org/fedora/six/six.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/six/six-0.5.3-2.fc6.src.rpm
Comment 7 Rafał Psota 2007-01-12 15:57:04 EST
I forgot about the locolor icons.

Spec URL: http://rafalzaq.nonlogic.org/fedora/six/six.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/six/six-0.5.3-3.fc6.src.rpm
Comment 8 Michał Bentkowski 2007-01-12 16:08:32 EST
You forgot to add --ignore-theme-index option argument to gtk-update-icon-cache
run against locolor dir. There's no index.theme file so it causes an error:

No theme index file in '/usr/share/icons/locolor/'.
If you really want to create an icon cache here, use --ignore-theme-index.
Comment 9 Rafał Psota 2007-01-12 16:20:54 EST
(In reply to comment #8)
> You forgot to add --ignore-theme-index option argument to gtk-update-icon-cache
> run against locolor dir. There's no index.theme file so it causes an error:
> 
> No theme index file in '/usr/share/icons/locolor/'.
> If you really want to create an icon cache here, use --ignore-theme-index.
> 

Fixed.

Spec URL: http://rafalzaq.nonlogic.org/fedora/six/six.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/six/six-0.5.3-4.fc6.src.rpm
Comment 10 Michał Bentkowski 2007-01-12 17:00:47 EST
Package looks fine now.
Pity that I wasn't able to win ;) but it, obviously, doesn't stand in the way to
make this package approved.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.